Name: dirdiff
Version: 2.1
Release: alt2

%define my_summary Graphical tool for displaying the differences between directory trees
Summary: %my_summary
License: GPL
Group: Development/Other
Url: http://samba.org/ftp/paulus

Source: %url/%name-%version.tar.gz
Source1: %name.1

Patch0: %name-1.6-alt-fixes.patch
Patch1: %name-2.0-alt-t2init.patch
Patch2: %name-2.1-alt-libs.patch

Summary(ru_RU.KOI8-R):        

Requires: diffutils

# Automatically added by buildreq on Mon Sep 08 2003
BuildRequires: tcl-devel

%description
Dirdiff is a graphical tool for displaying the differences between
directory trees and for merging changes from one tree into another.
Dirdiff can handle up to 5 trees.  It displays a main window with a
list of the files which are different between the trees, with colored
squares to indicate the relative ages of the versions.  A menu allows
you to display the differences between any two of the versions in
another window.  Another menu allows you to copy the file from one
tree to another.

%description -l ru_RU.KOI8-R
Dirdiff -      
       .
Dirdiff    5  .
        
   .

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%def_enable Werror
make CFLAGS="$RPM_OPT_FLAGS %optflags_shared"

%install
%__mkdir_p $RPM_BUILD_ROOT{%_bindir,%_libdir}
%make_install install DESTDIR=$RPM_BUILD_ROOT
%__install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_man1dir/%name.1

# Menu entry
%__mkdir_p %buildroot%_menudir
%__cat > %buildroot%_menudir/%name << __EOF__
?package(%name):command="%_bindir/%name" needs="X11" \
section="Applications/Development/Tools" title="DirDiff" \
longtitle="%my_summary"
__EOF__

%files
%_bindir/*
# NB: Following pattern prevents inclusion of %_menudir
%_libdir/*.*
%_man1dir/*
%_menudir/%name
%doc README

%post
%update_menus

%postun
%clean_menus

%changelog
* Wed Mar 22 2006 Ilya Evseev <evseev@altlinux.ru> 2.1-alt2
- added patch #2: support strict requirements in modern GCC

* Sat May 14 2005 Ilya Evseev <evseev@altlinux.ru> 2.1-alt1
- updated to version 2.1

* Tue Jan 25 2005 Ilya Evseev <evseev@altlinux.ru> 2.0-alt2
- added explicit variable initialization for avoiding compiler error

* Sun Jan  9 2005 Ilya Evseev <evseev@altlinux.ru> 2.0-alt1
- 2.0
- specfile: russian summary/description cleanups
- added GUI menu item

* Sat Nov 08 2003 Dmitry V. Levin <ldv@altlinux.org> 1.6-alt4
- Build the shared library with -fPIC.

* Mon Sep 08 2003 Dmitry V. Levin <ldv@altlinux.org> 1.6-alt3
- Updated buildrequires.
- Patched to build with -Werror.
- Added manpage (deb).
- Updated russian summary and description.

* Fri Oct 04 2002 Rider <rider@altlinux.ru> 1.6-alt2
- rebuild (gcc 3.2)

* Sat Aug 24 2002 Rider <rider@altlinux.ru> 1.6-alt1
- 1.6

* Thu Jan 03 2002 Rider <rider@altlinux.ru> 1.5-alt1
- 1.5
- spec cleanup
- russian description and summary

* Mon Feb 05 2001 Dmitry V. Levin <ldv@fandra.org> 1.1-ipl1
- RE adaptions.

* Thu Jul 13 2000 Dmitry V. Levin <ldv@fandra.org> 1.1-1ipl
- Initial revision.
